## konsole 16.12.3

=== debian/changelog ===
konsole (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)
  * Drop upstream applied patch.

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:26 +0000

konsole (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Add upstream-fix-build.patch. Can be dropped in 16.12.2

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Feb 2017 19:24:33 +0000

konsole (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Fixing lintian-overrides

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:18 +0000
