## konsole 17.04.3

=== debian/changelog ===
konsole (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install traslations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:44 +0100

konsole (4:16.12.1-0ubuntu3) UNRELEASED; urgency=medium

  * Drop upstream-fix-build.patch as it is applied upstream

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 16 Feb 2017 20:12:08 +0000
