=== data/CMakeLists.txt ===

add_subdirectory( color-schemes )
add_subdirectory( keyboard-layouts )

install( FILES konsole.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
