=== debian/changelog ===
konsole (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - Add-support-for-ECMA-48-REP-repeating-previous-character.patch: drop,
      backported from upstream
  * Add the newly required libkf5globalaccel-dev, and libkf5newstuff-dev build
    dependencies.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 09:15:34 +0200
