## konsole 18.04.3

=== debian/changelog ===
konsole (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Install knewstuff rc file
  * New upstream release (18.03.80)
  * Drop upstream applied patch
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:19:50 +0100

konsole (4:17.12.3-1ubuntu2) cosmic; urgency=medium

  * Ignore tests on !x86 until next major apps version can be uploaded.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 30 Jul 2018 14:54:50 +0100
