## konsole 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "0")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 # minimal requirements
 cmake_minimum_required (VERSION 3.0 FATAL_ERROR)
+# Consider changing to Qt 5.9 when Qt 5.6 hits EOL Mar 2019
 set (QT_MIN_VERSION "5.6.0")
 set (KF5_MIN_VERSION "5.6.0")
 
@@ -64,7 +65,6 @@
 add_definitions(
   -DQT_STRICT_ITERATORS
   -DQT_NO_URL_CAST_FROM_STRING
-  -DQT_USE_FAST_CONCATENATION
   -Wno-deprecated-declarations
 )
 
@@ -81,10 +81,9 @@
     add_subdirectory( doc/manual )
 endif()
 
-### -DKONSOLE_BUILD_FONTEMBEDDER=TRUE or -DKONSOLE_GENERATE_LINEFONT=TRUE
-if(KONSOLE_BUILD_FONTEMBEDDER OR KONSOLE_GENERATE_LINEFONT)
-    add_subdirectory( tools )
-endif()
+add_subdirectory( tools )
+
+install( FILES konsole.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
