=== debian/changelog ===
konsole (4:18.12.3-0ubuntu2) disco; urgency=medium

  * Add upstream patch to fix cursor rendering. KDE BUG: 402589.
    - d/patches: upstream_fix-ibeam-and-underline-cursor-rendering.diff

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 08 Mar 2019 15:07:11 +0000

konsole (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:31:19 +0000

konsole (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:18:27 +0000

konsole (4:18.12.1-0ubuntu2) disco; urgency=medium

  * Cherry-pick upstream patches to update Breeze theme colours and set
    it as the default.
    - debian/patches: upstream_update-breeze-colour-scheme.patch
    - debian/patches: upstream_breeze-color-scheme-as-default.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 14 Jan 2019 08:14:19 +0000

konsole (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:44 +0000

konsole (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Install debug categories file.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:56 +0000

konsole (4:18.08.3-0ubuntu2) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Update install files for 18.08.
    - d/tests: Keep our setup.
    - d/meta/cmake-ignore: cmake-ignore to keep Kubuntu CI happy.
    - Bumper build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 30 Dec 2018 19:41:35 +0000

konsole (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Dec 2018 06:54:43 +0000
