## konsole 19.04.3

=== debian/changelog ===
konsole (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:16:57 +0100

konsole (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:09:53 +0100

konsole (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:00:40 +0100

konsole (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Drop upstream applied breeze theme patches.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 25 Apr 2019 18:30:00 +0100

konsole (4:18.12.3-0ubuntu3) UNRELEASED; urgency=medium

  * Drop included upstream_fix-ibeam-and-underline-cursor-rendering.diff

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 08 Mar 2019 15:09:11 +0000
