## konsole 19.08.1

=== debian/changelog ===
konsole (4:19.08.1-2) unstable; urgency=medium

  * New revision
  * Depend on the newer ecm
  * Move qdebug files
  * Also knewstuff moves the KNSRC file location
  * Move knsrc file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 16:31:02 -0700

konsole (4:19.08.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Avoid build-path tests
  * New upstream release (19.08.1).
  * Drop upstream applied patch
  * Release to unstable

  [ Jiří Paleček ]
  * Fix the fallback code used when restoring session fails (Closes: 935031)
  * Restore sessions from konsole before 19.08

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Sep 2019 15:35:17 +0200

konsole (4:19.08.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Suggest lrzsz, given that konsole has support for zmodem commands.
    (Closes: #903947)

  [ Aurélien COUDERC ]
  * Also ship /etc/xdg/konsole.knsrc so that the new stuff functionality
    actually works. (Closes: #930316)

  [ Maximiliano Curia ]
  * New upstream release (19.08.0).
  * Update build-deps and deps with the info from cmake
  * Add a debian/salsa-ci.yml file
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Aug 2019 14:35:38 -0300
